/* ETA-系统设置-基础配置 相关接口 */
import http from "@/api/http.js"
export const etaBaseConfigInterence = {
    getBaseConfig:params=>{
        return http.get('/business_conf/fetch',params)
    },
    saveBaseConfig:params=>{
        return http.post('/business_conf/save',params)
    }
}

// 外部链接配置 接口
export const outlinkConfigInterence = {
    /**
     * 外部链接列表
     * @param params.CurrentIndex 页码-number
     * @param params.PageSize 每页数据量-number
     * @param params.SortParam 排序字段-string
     * @param params.SortType 排序类型-string desc/asc/""
     * @returns 
     */
    getOutlinkList:params=>{
        return http.get('/out_link/list',params)
    },
    // 外部链接列表全部
    getOutlinkListAll:params=>{
        return http.get('/out_link/all',params)
    },
    /** 
     * 新增/编辑
     * @param params.Id Id-number-不传ID表示新增，传了ID表示编辑
     * @param params.Title 菜单名称-string
     * @param params.Url 页面链接-string
     * @returns 
     */
    outlinkSave:params=>{
        return http.post('/out_link/save',params)
    },
    /** 
     * 删除
     * @param params.Id Id-number
     * @returns 
     */
    outlinkDelete:params=>{
        return http.post('/out_link/del',params)
    }
}